Skip to content

Get purchase by ID

Request

Security
oauth2(Required scopes: draw.purchase:read) or bearerAuth or apiKeyHeader
Path
personIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

A Borrower's unique identifier, tied to a person or a business. Can be Peach or a lender's external identifier.

loanIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The unique identifier of the Loan we wish to retrieve. Can be Peach or lender's external identifier.

drawIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The draw identifier.

purchaseIdstring(AnyId)^ext-|^[A-Z][A-Z0-9]-[A-Z0-9]+-[A-Z0-9]+|^\d+$write-onlyrequired

The purchase identifier.

GET
/people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}
curl -i -X GET \
  'https://sandboxapi.peach.finance/api/people/{personId}/loans/{loanId}/draws/{drawId}/purchases/{purchaseId}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>'

Responses

Success

Bodyapplication/json
messagestring

Description of the server action or error.

statusinteger

HTTP status code.

dataobject(Purchase)
Response
{ "message": "string", "status": 0, "data": { "amount": 0, "authorizationPurchaseId": "string", "cardId": "string", "declineReason": { … }, "displayId": "string", "drawId": "string", "eligibleDisputeAmount": 0.1, "externalId": "string", "id": "string", "lineOfCreditId": "string", "metadata": {}, "migration": { … }, "originalAmount": 0.1, "purchaseDate": "2019-08-24", "purchaseDetails": { … }, "status": "settled", "timestamps": { … }, "type": "regular", "refundDetails": { … } } }